Bug 160379 - Update port: security/maia Fix for out-of-sync patches and dependencies.
Summary: Update port: security/maia Fix for out-of-sync patches and dependencies.
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Chris Rees
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-09-02 01:30 UTC by Janky
Modified: 2011-09-08 20:40 UTC (History)
0 users

See Also:


Attachments
maia-1.0.3-r1575_1.diff (6.50 KB, patch)
2011-09-02 01:30 UTC, Janky
no flags Details | Diff
maia-1.0.3-r1575_1.diff (7.89 KB, patch)
2011-09-03 06:04 UTC, ek
no flags Details | Diff
maia-1.0.3-r1575_1.diff (7.70 KB, patch)
2011-09-03 20:32 UTC, ek
no flags Details | Diff
maia.diff (7.98 KB, patch)
2011-09-04 17:19 UTC, Chris Rees
no flags Details | Diff
maia-1.0.3-r1575_1.diff (7.72 KB, patch)
2011-09-06 05:42 UTC, ek
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Janky 2011-09-02 01:30:10 UTC
Added p5-forks as dependency.
Fixed ${WRKSRC} directory stupidity.
Replaced obsolete p5-Mail-SPF-Query with p5-Mail-SPF.
Added optional DKIM module.
Adjusted for changes in ${REINPLACE_CMD} files.
Added ${CHOWN} for configuration files for security.
Completely removed files/maiad.sh.in file. Can a committer please permanently delete this?
Completely removed files/.placeholder (no longer needed? Also needs permanent deletion...)
Comment 1 ek 2011-09-02 01:59:47 UTC
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Hrm. Something is wrong here. The ${REINPLACE_CMD} doesn't seem to be
working properly. Anyone know why? I see no problems at all...

Please don't commit until further investigation... Sorry.

Regards,
Janky Jay, III

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)
Comment: Using GnuPG with Mozilla - http://enigmail.mozdev.org/

iEYEARECAAYFAk5gKoMACgkQZ5znzUsaCyTcmQCaA9WbFl3CHKkcXYKt4iPaEiLy
5wAAniZ6FxStsicP7k1jBN2XMDeCGuK9
=a9f2
-----END PGP SIGNATURE-----
Comment 2 ek 2011-09-03 06:04:42 UTC
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Okay. Managed to fix the problem. Still don't understand what was wrong
but I divided the sed commands by file name and/or directory and all
seems fine now. Along with the same previous changes, I added a
PORTREVISION of 1. Please commit the attached patch. Thanks!

Regards,
Janky Jay, III

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)
Comment: Using GnuPG with Mozilla - http://enigmail.mozdev.org/

iEYEARECAAYFAk5htWoACgkQZ5znzUsaCyQMvgCffAWP3uhQ6hsTMlOY/S1EY08w
r/kAn1bR7ktX26gHMjFuQlH38jnRN8Gf
=DiFc
-----END PGP SIGNATURE-----
Comment 3 Chris Rees freebsd_committer 2011-09-03 11:49:00 UTC
Hey,

It looks as though you have planned to remove the WRKSRC line and 
incorporate that into the tarball -- that breaks Rule 1 of hosting 
tarballs -- never, never, EVER change the tarball and keep the same 
name! I'm going to put the WRKSRC= line back in, but feel free to remove 
it next time you update to the latest svn; that would be an appropriate 
time to fix it.

Chris

-- 
This message has been scanned for viruses and
dangerous content by MailScanner, and is
believed to be clean.
Comment 4 ek 2011-09-03 18:17:27 UTC
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Hi Chris,

	Alrighty. Sorry about that. I just know it gets confusing to some when
the portname doesn't match the tarball. Wanted to keep it as simple as
possible. I'll rename the directory inside the tarball again to maia-1.0...

On 09/03/2011 04:49 AM, Chris Rees wrote:
> Hey,
> 
> It looks as though you have planned to remove the WRKSRC line and
> incorporate that into the tarball -- that breaks Rule 1 of hosting
> tarballs -- never, never, EVER change the tarball and keep the same
> name! I'm going to put the WRKSRC= line back in, but feel free to remove
> it next time you update to the latest svn; that would be an appropriate
> time to fix it.
> 
> Chris
> 
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)
Comment: Using GnuPG with Mozilla - http://enigmail.mozdev.org/

iEYEARECAAYFAk5iYScACgkQZ5znzUsaCyRAUwCfbbEO3mnfQyxu/gTTm4/l4sjJ
aw8An2ar4DNLmJJHpigHtTKizucgqBYq
=5f/H
-----END PGP SIGNATURE-----
Comment 5 ek 2011-09-03 20:32:59 UTC
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Hi Chris,

On 09/03/2011 04:49 AM, Chris Rees wrote:
> Hey,
> 
> It looks as though you have planned to remove the WRKSRC line and
> incorporate that into the tarball -- that breaks Rule 1 of hosting
> tarballs -- never, never, EVER change the tarball and keep the same
> name! I'm going to put the WRKSRC= line back in, but feel free to remove
> it next time you update to the latest svn; that would be an appropriate
> time to fix it.

	All fixed! Attached is the new patch leaving the ${WRKSRC} change in
along with the new (old?) distinfo file for the tarball.
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)
Comment: Using GnuPG with Mozilla - http://enigmail.mozdev.org/

iEYEARECAAYFAk5igOsACgkQZ5znzUsaCyTBbQCdFbG1yCWcOrcF6xJvUwqKtJCy
TJ8AoJ9JcV7MuecgpGx85hnS4dOkAiLk
=a6OA
-----END PGP SIGNATURE-----
Comment 6 Chris Rees freebsd_committer 2011-09-04 17:13:03 UTC
Responsible Changed
From-To: freebsd-ports-bugs->crees

I'll take it.
Comment 7 Chris Rees freebsd_committer 2011-09-04 17:19:42 UTC
Hey,

Just made a minor change or two -- you're asking for ... trouble ...
if you're doing REINPLACE_CMD with double-quotes and trying to get a
literal dollar.

To escape a dollar for Make: $$

To escape a dollar for sh (don't forget, it's doing doublequotish expansion): \$

To escape a dollar for sed (so it doesn't think you're meaning end of
string): \$

so... for doublequotish sh and sed you'll need \\\$, and then for Make
you'll need to escape each backslash like \\\\\\$$ -- and I got bored
of trying them out and just removed the dollar. No harm done!

Is this patch OK? I think that's all I changed.

Chris
Comment 8 ek 2011-09-04 17:29:47 UTC
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Hi Chris,

	That's fine. Shouldn't need the $ in there at all. Patch looks good to
me! Thanks again.

Regards,
Justin

On 09/04/2011 10:19 AM, Chris Rees wrote:
> Hey,
> 
> Just made a minor change or two -- you're asking for ... trouble ...
> if you're doing REINPLACE_CMD with double-quotes and trying to get a
> literal dollar.
> 
> To escape a dollar for Make: $$
> 
> To escape a dollar for sh (don't forget, it's doing doublequotish expansion): \$
> 
> To escape a dollar for sed (so it doesn't think you're meaning end of
> string): \$
> 
> so... for doublequotish sh and sed you'll need \\\$, and then for Make
> you'll need to escape each backslash like \\\\\\$$ -- and I got bored
> of trying them out and just removed the dollar. No harm done!
> 
> Is this patch OK? I think that's all I changed.
> 
> Chris
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)
Comment: Using GnuPG with Mozilla - http://enigmail.mozdev.org/

iEYEARECAAYFAk5jp3sACgkQZ5znzUsaCySiSQCcCTFa1hKYh4Vuec9NPN1G0TNj
sE0An392OJHHWRwIrnGd/L8ss3CbSwSA
=OpVw
-----END PGP SIGNATURE-----
Comment 9 ek 2011-09-06 05:42:03 UTC
Sorry. Attached is a patch that fixes the distinfo file.
Comment 10 dfilter service freebsd_committer 2011-09-08 20:32:32 UTC
crees       2011-09-08 19:32:16 UTC

  FreeBSD ports repository

  Modified files:
    security/maia        Makefile distinfo 
    security/maia/files  pkg-deinstall.in pkg-install.in 
                         pkg-message.in 
  Removed files:
    security/maia/files  .placeholder 
  Log:
  - Add missing dependency
  - Chase distfile change
  - Correct SPF option, add option for DKIM plugin
  
  PR:             ports/160379
  Submitted by:   Janky Jay III <ek@purplehat.org> (maintainer)
  
  Revision  Changes    Path
  1.9       +40 -19    ports/security/maia/Makefile
  1.4       +2 -2      ports/security/maia/distinfo
  1.3       +0 -0      ports/security/maia/files/.placeholder (dead)
  1.3       +1 -3      ports/security/maia/files/pkg-deinstall.in
  1.3       +1 -2      ports/security/maia/files/pkg-install.in
  1.3       +15 -8     ports/security/maia/files/pkg-message.in
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 11 Chris Rees freebsd_committer 2011-09-08 20:32:44 UTC
State Changed
From-To: open->closed

Committed. Thanks! Bear in mind I didn't add the rc script to 
pkg-plist-- USE_RC_SUBR does that for you.